From 25db1555f5211c4ff09c65a5c69a266a41e86cb9 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 02 2020 05:41:15 +0000
Subject: [PATCH 824/2232] Update import path scheme for tests


---

diff --git a/tests/BUCK b/tests/BUCK
index 4bfc9e8..a96bfb8 100644
--- a/tests/BUCK
+++ b/tests/BUCK
@@ -24,9 +24,10 @@ cxx_library(
         ":gen-lib-source",
         ":gen-module-source",
     ],
+    header_namespace = "cxx-test-suite",
     headers = {
-        "ffi/lib.rs.h": ":gen-lib-header",
-        "ffi/tests.h": "ffi/tests.h",
+        "lib.rs.h": ":gen-lib-header",
+        "tests.h": "ffi/tests.h",
     },
     deps = ["//:core"],
 )
diff --git a/tests/BUILD b/tests/BUILD
index e1f1637..29cc79c 100644
--- a/tests/BUILD
+++ b/tests/BUILD
@@ -26,6 +26,8 @@ cc_library(
         ":gen-module-source",
     ],
     hdrs = ["ffi/tests.h"],
+    include_prefix = "cxx-test-suite",
+    strip_include_prefix = "ffi",
     deps = [
         ":lib-include",
         "//:core",
@@ -51,7 +53,7 @@ genrule(
 cc_library(
     name = "lib-include",
     hdrs = [":gen-lib-header"],
-    include_prefix = "tests/ffi",
+    include_prefix = "cxx-test-suite",
 )
 
 genrule(
diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index 8aaac75..d6724f5 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -23,7 +23,7 @@ pub mod ffi {
     }
 
     extern "C" {
-        include!("tests/ffi/tests.h");
+        include!("cxx-test-suite/tests.h");
 
         type C;
 
diff --git a/tests/ffi/module.rs b/tests/ffi/module.rs
index 77bae06..8862dc1 100644
--- a/tests/ffi/module.rs
+++ b/tests/ffi/module.rs
@@ -4,7 +4,7 @@
 #[cxx::bridge(namespace = tests)]
 pub mod ffi {
     extern "C" {
-        include!("tests/ffi/tests.h");
+        include!("cxx-test-suite/tests.h");
 
         type C = crate::ffi::C;
 
diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index d45d5d5..8dd16e8 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -1,5 +1,5 @@
-#include "tests/ffi/tests.h"
-#include "tests/ffi/lib.rs.h"
+#include "cxx-test-suite/tests.h"
+#include "cxx-test-suite/lib.rs.h"
 #include <cstring>
 #include <iterator>
 #include <numeric>

